Ubuntu

Activity log for bug #368895

Date Who What changed Old value New value Message
2009-04-28 22:05:00 luispedro bug added bug
2009-05-04 17:10:40 Michael Shadle bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508469
2009-05-26 12:31:30 Alessio Treglia gitosis (Ubuntu): status New Incomplete
2009-06-09 17:50:30 Jorge O. Castro bug task added gitosis (Debian)
2009-08-21 06:09:33 Evan Broder nominated for series Ubuntu Jaunty
2009-08-21 17:38:12 Anders Kaseorg gitosis (Ubuntu): status Incomplete Fix Released
2009-08-21 21:30:34 Evan Broder attachment added gitosis_0.2+20080825-2ubuntu0.1.debdiff http://launchpadlibrarian.net/30652065/gitosis_0.2%2B20080825-2ubuntu0.1.debdiff
2009-08-21 21:31:01 Evan Broder bug added subscriber MOTU Stable Release Updates
2009-08-22 18:13:51 Evan Broder description Binary package hint: gitosis After upgrade to 9.04, gitosis fails with ----- Traceback (most recent call last): File "/usr/bin/gitosis-init", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 2562, in <module> working_set.require(__requires__) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 626, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 524, in resolve raise DistributionNotFound(req) # XXX put more info here pkg_resources.DistributionNotFound: gitosis==0.2 ------- I hacked the files /usr/bin/gitosis-* to call python2.5 instead of python and that fixed it, but I guess that this is not the best fix. Binary package hint: gitosis IMPACT: This bug causes the gitosis package to be completely unusable on Jaunty, unless you know to manually install python2.5 (which is not a dependency of the package). DEVELOPMENT: Fixed in Debian/Karmic by dropping the --install-lib and using --root and --install-layout=deb instead. PATCH: Attached as http://launchpadlibrarian.net/30652065/gitosis_0.2%2B20080825-2ubuntu0.1.debdiff REPRODUCE: Install gitosis (and uninstall python2.5, if you have it). Run gitosis-init. Observe that you get a Python traceback. REGRESSION: In basic functionality tests, a test build from my PPA seems to work completely. The Python 2.6 package also comes as close to passing its test suite as it did under Python 2.5. ================ Original bug report: After upgrade to 9.04, gitosis fails with ----- Traceback (most recent call last): File "/usr/bin/gitosis-init", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 2562, in <module> working_set.require(__requires__) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 626, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 524, in resolve raise DistributionNotFound(req) # XXX put more info here pkg_resources.DistributionNotFound: gitosis==0.2 ------- I hacked the files /usr/bin/gitosis-* to call python2.5 instead of python and that fixed it, but I guess that this is not the best fix.
2009-08-22 18:36:51 Devid Antonio Filoni bug task added gitosis (Ubuntu Jaunty)
2009-08-22 18:37:12 Devid Antonio Filoni gitosis (Ubuntu Jaunty): assignee Devid Antonio Filoni (d.filoni)
2009-08-23 09:42:07 Devid Antonio Filoni gitosis (Ubuntu Jaunty): assignee Devid Antonio Filoni (d.filoni)
2009-08-23 09:56:14 Evan Broder gitosis (Ubuntu Jaunty): status New Confirmed
2009-08-23 10:12:21 Devid Antonio Filoni gitosis (Ubuntu Jaunty): status Confirmed Incomplete
2009-08-23 16:10:31 Evan Broder attachment added gitosis_0.2+20080825-2ubuntu0.1.debdiff http://launchpadlibrarian.net/30697473/gitosis_0.2%2B20080825-2ubuntu0.1.debdiff
2009-08-23 16:10:47 Evan Broder gitosis (Ubuntu Jaunty): status Incomplete Confirmed
2009-08-23 16:11:15 Evan Broder description Binary package hint: gitosis IMPACT: This bug causes the gitosis package to be completely unusable on Jaunty, unless you know to manually install python2.5 (which is not a dependency of the package). DEVELOPMENT: Fixed in Debian/Karmic by dropping the --install-lib and using --root and --install-layout=deb instead. PATCH: Attached as http://launchpadlibrarian.net/30652065/gitosis_0.2%2B20080825-2ubuntu0.1.debdiff REPRODUCE: Install gitosis (and uninstall python2.5, if you have it). Run gitosis-init. Observe that you get a Python traceback. REGRESSION: In basic functionality tests, a test build from my PPA seems to work completely. The Python 2.6 package also comes as close to passing its test suite as it did under Python 2.5. ================ Original bug report: After upgrade to 9.04, gitosis fails with ----- Traceback (most recent call last): File "/usr/bin/gitosis-init", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 2562, in <module> working_set.require(__requires__) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 626, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 524, in resolve raise DistributionNotFound(req) # XXX put more info here pkg_resources.DistributionNotFound: gitosis==0.2 ------- I hacked the files /usr/bin/gitosis-* to call python2.5 instead of python and that fixed it, but I guess that this is not the best fix. Binary package hint: gitosis IMPACT: This bug causes the gitosis package to be completely unusable on Jaunty, unless you know to manually install python2.5 (which is not a dependency of the package). DEVELOPMENT: Fixed in Debian/Karmic by dropping the --install-lib and using --root and --install-layout=deb instead. PATCH: Attached as http://launchpadlibrarian.net/30697473/gitosis_0.2%2B20080825-2ubuntu0.1.debdiff REPRODUCE: Install gitosis (and uninstall python2.5, if you have it). Run gitosis-init. Observe that you get a Python traceback. REGRESSION: In basic functionality tests, a test build from my PPA seems to work completely. The Python 2.6 package also comes as close to passing its test suite as it did under Python 2.5. ================ Original bug report: After upgrade to 9.04, gitosis fails with ----- Traceback (most recent call last): File "/usr/bin/gitosis-init", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 2562, in <module> working_set.require(__requires__) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 626, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 524, in resolve raise DistributionNotFound(req) # XXX put more info here pkg_resources.DistributionNotFound: gitosis==0.2 ------- I hacked the files /usr/bin/gitosis-* to call python2.5 instead of python and that fixed it, but I guess that this is not the best fix.
2009-08-23 16:55:21 Devid Antonio Filoni gitosis (Ubuntu Jaunty): status Confirmed New
2009-08-23 18:12:05 Evan Broder attachment added gitosis_0.2+20080825-2ubuntu0.1.debdiff http://launchpadlibrarian.net/30699699/gitosis_0.2%2B20080825-2ubuntu0.1.debdiff
2009-08-23 21:00:46 Devid Antonio Filoni gitosis (Ubuntu Jaunty): status New Confirmed
2009-08-25 16:30:53 Jonathan Riddell gitosis (Ubuntu Jaunty): status Confirmed Fix Committed
2009-09-03 15:49:14 Launchpad Janitor branch linked lp:ubuntu/jaunty-proposed/gitosis
2009-09-24 19:25:01 Steve Beattie tags verification-done
2009-09-29 08:52:44 Launchpad Janitor gitosis (Ubuntu Jaunty): status Fix Committed Fix Released
2011-08-10 18:44:32 Bug Watch Updater gitosis (Debian): status Unknown Fix Released